import { FG_Plugin } from '@flaschengeist/types';
import permissions from '../permissions';

const mainRoutes: FG_Plugin.MenuRoute[] = [
  {
    title: 'Gerücht',
    icon: 'mdi-cash-100',
    permissions: ['user'],
    route: {
      path: 'balance',
      name: 'balance',
      redirect: { name: 'balance-view' },
    },
    children: [
      {
        title: 'Übersicht',
        icon: 'mdi-cash-check',
        permissions: [permissions.SHOW],
        route: {
          path: 'overview',
          name: 'balance-view',
          component: () => import('../pages/BalanceOverviewPage.vue'),
        },
      },
      {
        title: 'Buchen',
        icon: 'mdi-cash-plus',
        shortcut: true,
        permissions: [permissions.DEBIT_OWN, permissions.SHOW],
        route: {
          path: 'change',
          name: 'balance-change',
          component: () => import('../pages/MainPage.vue'),
        },
      },
      {
        title: 'Verwaltung',
        icon: 'mdi-account-cash',
        permissions: [permissions.SET_LIMIT, permissions.SHOW_OTHER],
        route: {
          path: 'admin',
          name: 'balance-admin',
          component: () => import('../pages/BalanceAdminPage.vue'),
        },
      },
    ],
  },
];

export default mainRoutes;
